package org.gcube.portlets.user.geoportaldataentry.client;

import java.util.List;

import org.gcube.portlets.user.geoportaldataentry.shared.GeoNaFormDataObject;
import org.gcube.portlets.user.geoportaldataentry.shared.GeonaISConfig;

import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;

/**
 * The client side stub for the RPC service.
 */
@RemoteServiceRelativePath("greet")
public interface GreetingService extends RemoteService {

	String saveGeonaDataForms(List<GeoNaFormDataObject> listGeonaFormObjects) throws Exception;

	GeonaISConfig getGeonaInitConfig();
}
